<!--福袋 created By 1173944134@qq.com-->
<template>
    <!--首页活动横栏-->
    <div class="morecourse_banner fade-in" id="HLBanner">
        <div class="count-time"></div>
        <div class="remain flex-row">
            <span class="l"></span>
            <img src="" class="icon"/>
            <span class="r"></span>
        </div>
        <img src="" class="heart-beat btn"/>
    </div>
    <!--我的课icon-->
    <div class="icon-list-luckybag" id="icLstLuckybag">
        <img src="" class="heart-beat icon"/>
    </div>
    <!--课程目录页提示-->
    <div class="section-desc flex-row" id="sectionDesc">
        <div class="cls">
            <img src="" class="clsIcon"/>
        </div>
        <div class="desc-back"></div>
        <img src="" class="heart-beat btn"/>
    </div>
    <!--邀请页-->
    <div class="invite-icon flex-row" id="inviteIcon">
        <img src="" class="icon"/>
    </div>
    <!--详情页-->
    <div class="detail-icon-up-arrows flex-row" id="detailTconUp">
        <img class="detail-image"
             src="http://static2.61info.com/service/imgs/groupPurchase/act/double_12/home-icon-1.png?v=1" alt="">
    </div>
    <!--首页弹窗-->
    <div class="yidialog-con home_dia" id="homeMyDia">
        <div class="yid-back"></div>
        <div class="yid-con flex-row yid-con-col">
            <div class="yid-con-body flex-row">
                <div class="kj-djs"></div>
                <img src="" style="display: none;" class="coupon-img"/>
                <div class="btn-baom-con">
                    <img src="" class="btn-baom heart-beat"/>
                </div>
            </div>
            <div class="yid-cls-con">
                <img src="" class="yid-cls"/>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'double_12',
        data: {
            luckyBagStatus: '/dengta/common/act/10038/getUserActStatus.json', // 福袋数据
            queryLuckyBag: '/dengta/act/newyear/luckybag/queryLuckyBag.json', // 福袋查询课程信息
            SECTION_LIST_DESC: 'SECTION_LIST_DESC', // 课程目录页显示过
            moreCourseInit: '/dengta/act/dual12/mainvenue/queryEntry.json', // 首页
            courseListInit: '/dengta/common/act/10016/courseList/init.json', // 课堂
            addLiveCourseUser: '/dengta/common/act/10016/addLiveCourseUser.json', // 海报
            courseImg: resourcePath + '/imgs/groupPurchase/newCourseImg/',
            imgPath: resourcePath + '/imgs/groupPurchase/act/luckybag/',
            pvuv: ApiHelper.SERVER + '/dengta/common/act/10029/addPvuv.json', // pvuv微信通用接口
            cDetailToHomePvuv: ApiHelper.SERVER + '/dengta/pvuv/btn/add.json' // 课程详情页点击回首页
        },
        // pvuvkey
        pvuvKey: {
            expose: 'dt_1212_dual12_bogo_give_coupon_id_{couponId}_exposure', // 优惠券列表看到赠课券曝光
            click: 'dt_1212_dual12_bogo_give_coupon_id_{couponId}_to_use', // 赠课券点击“去使用
            listBtn: 'dt_1212_dual12_bogo_course_list_btn', // 课程列表页8折按钮   渠道号是100348
            courseBtn: 'dt_1212_dual12_bogo_my_course_btn ' // 我的课8折按钮      渠道号是100347
        },
        // 接口数据
        actData: {
            status: 0 // 0-不能参加，1-可以参加，2-已购买
        },
        // 曝光统计
        sendExposePvuv: function (data, callback) {
            data = data || {}
            !data.pvuvKeyId && (data.pvuvKeyId = 947)
            data.actChannels = data.channel
            var url = this.data.pvuv
            if (!data.actId) {
                url = url.replace('10029', 10038)
            }
            delete data.channel
            if (!data.expParam) {
                data.expParam = {
                    module: '',
                    tag: ''
                }
            }
            $.get(url, data)
            callback && setTimeout(callback, 300)
        },
        addPvuv: function (data, callback) {
            ApiHelper.myLog('pvuv>>>>', data)
            $.get(data.url || this.data.pvuv, data)
            callback && setTimeout(callback, 300)
        },
        // 买一送一pvuv
        addPvuvB1S1: function (data, callback) {
            data.url = '/dengta/pvuv/key/add.json'
            this.addPvuv(data, callback)
        },
        detailBtnPvuv: function (data, callback) {
            ApiHelper.myLog('btnpvuv>>>>', data)
            $.get(this.data.cDetailToHomePvuv, data)
            callback && setTimeout(callback, 100)
        },
        // 初始化
        init: function () {
            ApiHelper.moreCourse && this.initMoreCourse()
            ApiHelper.courseList && this.initCourseList()
            // ApiHelper.userProfile && this.initUserProfile()
            // ApiHelper.sectionList && this.initSectionList()
            // ApiHelper.freeCourseList && this.freeCourseList()
            ApiHelper.inviteFriends && this.initInviteFriends()
            ApiHelper.courseDetails && this.initCourseDetails()
            ApiHelper.collageDetail && this.initCollageDetail()
        },
        // 是否在可视区域 document.addEventListener('scroll', ApiHelper.throttle(function () {}, 500)
        isInView: function (selector) {
            if (!document.querySelector(selector)) {
                return false
            }
            var rect = document.querySelector(selector).getBoundingClientRect()
            var flag = false
            if (rect.top <= window.innerHeight && rect.top >= -rect.height) {
                flag = true
            }
            return flag
        },
        // 商城首页
        initMoreCourse: function () {
            var that = this
            ApiHelper.$on('homeBannerPvuv', function (e, data) {
                if (!data) {
                    return
                }
                var type = data.type
                var id = parseInt(data.id)
                if (id !== 52) {
                    return
                }
                switch (type) {
                    case 'expose':
                        that.sendExposePvuv({
                            channel: 100832
                        })
                        break
                    case 'click':
                        that.sendExposePvuv({
                            pvuvKeyId: 946,
                            channel: 100832
                        })
                        break
                }
            })
            that.getActInfo(function () {
            })
            ApiHelper.$on('notification', function (e, data) {
                var callback = data.callback
                !that._initMoreCourse() && callback && callback()
            })
        },
        // 首页icon
        showHomeIcon: function () {
            var that = this
            $(liveIconHome).appendTo($('body'))
            var homeIconImg = that.actData.isFirstDate ? 'home-icon-1.png' : 'home-icon-1.png'
            var channel = that.actData.isFirstDate ? 100247 : 100248
            $('#liveIconHome .icon').attr('src', that.data.imgPath + homeIconImg + '?v=' + window.jspVersionMoreChange)
            $('#liveIconHome').fadeOut()
            $('#liveIconHome').click(function () {
                location.href = '/app/spa/dengta_h5/act_twelve_main?channel=' + channel
            })
            var isFirst = true
            document.addEventListener('scroll', ApiHelper.throttle(function () {
                if (that.isInView('#HLBanner')) {
                    $('#liveIconHome').fadeOut()
                } else {
                    $('#liveIconHome').fadeIn()
                    isFirst && that.sendExposePvuv({
                        channel: channel
                    })
                    isFirst = false
                }
            }, 500))
        },
        // 查询活动
        getActInfo: function (callback) {
            var that = this
            var queryStr = ''
            var price50 = ApiHelper.inviteFriends || ApiHelper.courseDetails || ApiHelper.collageDetail
            if (price50) {
                queryStr = '?courseId=' + ApiHelper.getQueryString('courseId')
            }
            if (typeof groupId !== 'undefined') {
                queryStr += queryStr.indexOf('?') !== -1 ? ('&groupId=' + groupId) : ('?groupId=' + groupId)
            }
            $.get(that.data.luckyBagStatus + queryStr, function (res) {
                var resData = res.value || {}
                that.actData = resData
                if (resData.status !== 1) {
                    return
                }
                callback && callback()
            })
        },
        // 优惠券页面
        initCouponList: function () {
            var that = this
            ApiHelper.$on('couponSend', function (e, data) {
                var couponId = data.couponId
                that.addPvuvB1S1({
                    pvuvKey: that.pvuvKey.expose.replace('{couponId}', couponId)
                })
                setTimeout(function () {
                    $(couponSend).insertBefore($('.available_coupon_list.active>.coupon_item')[0])
                    $('#couponSend .mark,#couponSend .go-use').click(function () {
                        that.addPvuvB1S1({
                            pvuvKey: that.pvuvKey.click.replace('{couponId}', couponId)
                        }, function () {
                            location.href = ApiHelper.getActUrl() + '/buy1send1?couponId=' + couponId
                        })
                    })
                    $('#couponSend .title').text(data.couponName)
                    $('#couponSend .desc').text(data.couponDesc)
                    $('#couponSend .time').text('有效期：' + data.expireTimeText)
                    $('#couponSend').css('background-image', 'url(' + that.data.imgPath + 'coupon_bg_12.png?v=' + window.jspVersionMoreChange + ')')
                }, 300)
            })
            that.checkHas('.b1s1-coupon-item', function () {
                $('.b1s1-coupon-item').css('background-image', 'url(' + that.data.imgPath + 'coupon_usedbg_12.png?v=' + window.jspVersionMoreChange + ')')
            })
        },
        // 插入未来元素
        checkHas: function (selector, callback) {
            var that = this
            var addBannerCount = 0

            function check() {
                setTimeout(function () {
                    addBannerCount++
                    if ($(selector).length > 0) {
                        callback && callback.call(that)
                    } else {
                        addBannerCount < 5 && check()
                    }
                }, 1000)
            }

            check()
        },
        // 我的课堂
        initCourseList: function () {
            var that = this
            var channel = '' + (ApiHelper.getQueryString('channel') || '')
            var has = -1
            has > -1 && that.addPvuv({
                pvuvKey: 392,
                actChannels: channel
            })
            ApiHelper.$on('luckybagDia', function () {
                if (that.actData.status !== 1) {
                    return
                }
                that.showCsListDia()
            })
            that.getActInfo(function () {
                that.checkHas('.course_box_classic', function () {
                    that.showBanner()
                })
                that.showIconList()
            })
        },
        // 赠课
        couponCourse: function () {
            var that = this
            $(buysdCourseCard).insertBefore($('#payed_course_list'))
            $('#buysdCourseCard').css({
                marginTop: '0.07rem'
            })
            var courseId = 25
            var fm = 'c_' + courseId + '_intro_share.png'
            $('#buysdCourseCard .icon').attr('src', that.data.courseImg + fm + '?v=' + window.jspVersionMoreChange)
            // $('#buysdCourseCard .remain').text('')
            $('#buysdCourseCard .sign').text('')
            $('#buysdCourseCard .invite').click(function () {
                location.href = '/wx/groupBuy/sectionList.html?buy1send1=1&channel=&baseAuth=true&courseId=' + courseId
            })
        },
        // 我的页面
        initUserProfile: function () {
            var that = this
            that.getActInfo(function () {
                var doubleCard = $('.coupon_entry').clone()
                var isPreHeat = that.actData.currentTimeStr <= that.actData.actDate10 // 预热时间
                var channel = isPreHeat ? 100241 : 100251
                doubleCard.find('.send-course-act190806-float').remove()
                doubleCard.insertAfter($('.integral_mall_entry'))
                that.sendExposePvuv({
                    actId: isPreHeat ? 10028 : '',
                    pvuvKeyId: isPreHeat ? 630 : '',
                    channel: channel
                })
                var img = isPreHeat ? 'double_pre.png' : 'double_entry.png'
                var pName = isPreHeat ? 'act_twelve_before_index' : 'act_twelve_main'
                doubleCard.find('img').attr('src', that.data.imgPath + img + '?v=' + window.jspVersionMoreChange)
                doubleCard.click(function () {
                    that.sendExposePvuv({
                        actId: isPreHeat ? 10028 : '',
                        pvuvKeyId: isPreHeat ? 548 : '',
                        channel: channel
                    }, function () {
                        location.href = ApiHelper.getActUrl() + '/' + pName + '?channel=' + channel
                    })
                })
            })
        },
        // 课程目录页
        initSectionList: function () {
            var that = this
            that.getActInfo(function () {
                that._initSectionList()
            })
        },
        // 试看课列表
        freeCourseList: function () {
            // 赠送课程
            var that = this
            var freeSource = '' + (ApiHelper.getQueryString('freeSource') || '')
            freeSource === '7' && ApiHelper.$on('freeCourseList', function (e, data) {
                that.sectionBuySend(data)
            })
        },
        // 赠送课程
        sectionBuySend: function (data) {
            var that = this
            var resData = data || {}
            var freeCourseCoupon = resData.freeCourseCoupon || {}
            $(sectionBuyBtn).appendTo($('body'))
            freeCourseCoupon.desc1 && $('#sectionBuyBtn .title').text(freeCourseCoupon.desc1)
            freeCourseCoupon.desc2 && $('#sectionBuyBtn .desc').text(freeCourseCoupon.desc2)
            $('.section_tab,.study_group_wrap').hide()
            $('.unlockText').each(function (idx, one) {
                if ($(one).text().indexOf('电视投屏') !== -1) {
                    $(one).hide()
                }
            })
            $('#sectionBuyBtn').click(function () {
                that.addPvuvB1S1({
                    pvuvKey: that.pvuvKey.listBtn
                }, function () {
                    location.href = '/wx/groupBuy/courseDetails.html?state=100348&courseId=' + ApiHelper.getQueryString('courseId')
                })
            })
        },
        _initSectionList: function () {
            var that = this
            if (localStorage.getItem(this.data.SECTION_LIST_DESC)) {
                return
            }
            var idx = Math.random() > 0.5 ? 1 : 2
            var channel = 100252
            that.sendExposePvuv({
                pvuvKeyId: 544,
                channel: channel
            })
            $(sectionDesc).insertBefore($('.banner'))
            $('#sectionDesc .desc-back').css({
                backgroundImage: 'url("' + that.data.imgPath + ('list_bar_' + idx) + '.png?v=' + window.jspVersionMoreChange + '")'
            })
            $('#sectionDesc .clsIcon').attr('src', this.data.imgPath + 'close_y.png?v=' + window.jspVersionMoreChange)
            $('#sectionDesc .desc-back').click(function () {
                that.addPvuv({
                    pvuvKeyId: 545
                }, function () {
                    location.href = ApiHelper.getActUrl() + '/luckybag_main?channel=' + channel
                })
            })
            $('#sectionDesc .cls').click(function () {
                $('#sectionDesc').hide()
                localStorage.setItem(that.data.SECTION_LIST_DESC, 1)
            })
        },
        // 好友邀请
        initInviteFriends: function () {
            var that = this
            that.getActInfo(function () {
                that.addCourseDetailBanner(that.actData.isLeader ? 100839 : 100840, '.groupbuy-info')
            })
        },
        // 拼团详情页面
        initCollageDetail: function () {
            var that = this
            that._initCollageDetail()
        },
        _initCollageDetail: function () {
            var that = this
            that.getActInfo(function () {
                that.addCourseDetailBanner(that.actData.isLeader ? 100839 : 100840, '.course_card_info_box')
            })
        },
        // 详情页横栏
        addCourseBanner: function () {
            var that = this
            that.addCourseDetailBanner(100841, '.bottom_line')
        },
        // 详情页
        initCourseDetails: function () {
            var that = this
            that.getActInfo(function () {
                var channel = that.actData.isLeader ? 100839 : 100840
                var banner_domName = '.slot-machine-tip'
                var courseId = '' + (ApiHelper.getQueryString('courseId') || '')
                if (ApiHelper.idxInArr(['49', '35', '138'], courseId) !== -1) {
                    that.addCourseBanner()
                }
                if ($('.course_card_info_box')) {
                    banner_domName = '.course_card_info_box'
                }
                if (typeof hasPayed !== 'undefined' && !hasPayed) {
                    // 参团
                    that.actData.isLeader && that.actData.price >= 5000 && that.addCourseDetailBanner(channel, banner_domName)
                    // 团满
                    if (typeof isGroupFull !== 'undefined' && isGroupFull === 'true') {
                        that.actData.price >= 5000 && that.addCourseDetailBanner(channel, banner_domName)
                    }
                } else {
                    if (typeof isGroupFull === 'undefined') {
                        banner_domName = '.groupbuy-info'
                    }
                    // 单购成功
                    if (typeof isGroupBuy !== 'undefined' && isGroupBuy === 'false') {
                        that.addCourseDetailBanner(channel, banner_domName)
                        return
                    }
                    that.actData.price >= 5000 && that.addCourseDetailBanner(channel, banner_domName)
                }
            })
        },
        addCourseDetailBanner: function (outChannel, domName) {
            if ($('#sectionDesc').length !== 0) {
                return
            }
            if ($('.runTipBox')) {
                $('.runTipBox').css('top', '5%')
            }
            var that = this
            var idx = 1
            var channel = outChannel
            that.sendExposePvuv({
                channel: channel
            })
            $(sectionDesc).insertBefore($(domName))
            var backImg = 'list_bar_' + idx + '.png'
            var btnImg = 'cck-btn.png'
            // 详情页
            if (domName === '.bottom_line') {
                backImg = 'cs-detail-banner.png'
                btnImg = 'qukk-btn.png'
                $('#sectionDesc .btn').css({
                    width: '1.11rem',
                    height: '0.35rem',
                    top: '0.12rem'
                })
            }
            $('#sectionDesc .desc-back').css({
                backgroundImage: 'url("' + that.data.imgPath + backImg + '?v=' + window.jspVersionMoreChange + '")'
            })
            $('#sectionDesc .btn').attr('src', that.data.imgPath + btnImg + '?v=' + window.jspVersionMoreChange)
            $('#sectionDesc').click(function () {
                location.href = ApiHelper.getActUrl() + '/luckybag_main?channel=' + channel
            })
        },
        // 课堂icon
        showIconList: function () {
            var that = this
            $(icLstLuckybag).appendTo($('body'))
            $('#icLstLuckybag .icon').attr('src', that.data.imgPath + 'icon-list.png')
            $('#icLstLuckybag').click(function () {
                location.href = '/app/spa/dengta_h5/luckybag_main?channel=100835'
            })

            function checkExpose() {
                if (!that.isInView('#HLBanner')) {
                    $('#icLstLuckybag').css({
                        display: 'flex'
                    })
                    that.sendExposePvuv({
                        channel: 100835
                    })
                } else {
                    $('#icLstLuckybag').hide()
                }
            }

            document.addEventListener('scroll', ApiHelper.throttle(function () {
                checkExpose()
            }, 500))
        },
        // 显示横栏
        showBanner: function () {
            var that = this
            var channel = 100833
            $(HLBanner).insertBefore($('.course_box_classic:eq(1)'))
            $('.course_box_classic:eq(0)').css({
                marginBottom: '0.3rem'
            })
            var hasShow = false
            document.addEventListener('scroll', ApiHelper.throttle(function () {
                if (that.isInView('#HLBanner')) {
                    !hasShow && that.sendExposePvuv({
                        channel: channel
                    })
                    hasShow = true
                } else {
                    hasShow = false
                }
            }, 500))
            // 点击
            $('#HLBanner').css({
                marginBottom: '0.4rem'
            })
            var idx = 1
            var isFirstDate = true
            $('#HLBanner').click(function () {
                if (idx === 1) {
                    that.sendExposePvuv({
                        pvuvKeyId: 946,
                        channel: channel
                    }, function () {
                        location.href = ApiHelper.getActUrl() + '/luckybag_main?channel=' + channel
                    })
                    return
                }
                location.href = ApiHelper.getActUrl() + '/luckybag_main?channel=' + channel
            })
            var cardBack = 'banner-2.png'
            $('#HLBanner').css({
                backgroundImage: 'url("' + that.data.imgPath + cardBack + '?v=' + window.jspVersionMoreChange + '")'
            })
            var btnPath = 'btn_enter.png'
            $('#HLBanner .btn').attr('src', that.data.imgPath + btnPath + '?v=' + window.jspVersionMoreChange)
        },
        // 倒计时
        _countTimeChange: function (changeArr) {
            var timeArr = changeArr || []
            // 1.在26日前显示“x天后开播”，x为距离26日的天数
            if (timeArr[0] > 1) {
                $('#tsCourseCard .end-time').text(timeArr[0] + '天后开播')
            } else {
                $('#tsCourseCard .end-time').text('今晚20点开播')
            }
        },
        getStorageSync: function (key) {
            var storage = localStorage.getItem(key)
            try {
                storage = JSON.parse(storage)
            } catch (e) {
                storage = storage
            }
            return storage
        },
        setStorageSync: function (key, data) {
            localStorage.setItem(key, JSON.stringify(data))
        },
        // 我的课弹窗
        showCsListDia: function () {
            var that = this
            var cacheKey = 'luckybag_cslist_dia'
            var backImg = 'dia_back_2.png'
            var closeImg = 'close.png'
            var btmImg = 'btn_baom.png'
            var channel = 140300019
            if (ApiHelper.getCookie(cacheKey)) {
                return
            }
            $(homeMyDia).appendTo($('body'))
            that.sendExposePvuv({
                channel: channel
            })
            $('#homeMyDia .btn-baom').attr('src', that.data.imgPath + btmImg + '?v=' + window.jspVersionMoreChange)
            $('#homeMyDia .yid-cls').attr('src', that.data.imgPath + closeImg + '?v=' + window.jspVersionMoreChange)

            $('#homeMyDia').addClass('luckybag_dia_2')
            $('#homeMyDia .yid-con-body').css({
                backgroundImage: 'url("' + that.data.imgPath + backImg + '?v=' + window.jspVersionMoreChange + '")'
            })
            // 前往
            $('#homeMyDia .btn-baom-con').click(function () {
                $('#homeMyDia').hide()
                location.href = ApiHelper.getActUrl() + '/luckybag_main?channel=' + channel
            })
            // 关闭
            $('#homeMyDia .yid-cls-con').click(function () {
                $('#posterDia').hide()
                $('#homeMyDia').hide()
            })
            $('#homeMyDia').css({
                display: 'flex'
            })
        },
        // 弹窗
        showHomeDia: function () {
            var that = this
            var noDiaKey = 'lucky_dia'
            var channel = 100829
            var nowDate = new Date()
            var noDiaObj = that.getStorageSync(noDiaKey) // 已经弹过一个了
            var noDia = noDiaObj && noDiaObj.day === nowDate.getDate()
            var cacheKey = 'luckybag_dia_2'
            var isShowDia = false
            var backImg = 'dia_back_2.png'
            var closeImg = 'close.png'
            // 优惠券弹窗
            var dia3 = ApiHelper.getCookie('luckybag_dia_3')
            $.ajaxSettings.async = false;
            var rewardData = {}
            !dia3 && $.post(that.data.queryLuckyBag, function (res) {
                var resData = res.value || {}
                rewardData = resData.reward || {}
                var coupon = resData.coupon || {}
                var couponState = coupon.couponState // 优惠券状态 1.可使用 2.已使用 3.已过期
                var couponCountDownTime = coupon.couponCountDownTime
                var day = Math.floor(couponCountDownTime / (3600 * 1000 * 24))
                if (!rewardData.id || couponState !== 1 || day >= 7) {
                    isShowDia = false
                } else {
                    isShowDia = true
                    btmImg = 'ljsy-btn.png'
                    cacheKey = 'luckybag_dia_3'
                    backImg = 'coupon-back.png'
                }
            });
            $.ajaxSettings.async = true;

            // 优惠券跳转
            function _couponClick() {
                let pvuvKeys = {
                    81: 970,
                    82: 972,
                    83: 974
                }
                let pvuvKey = pvuvKeys[rewardData.rewardConfigId]
                pvuvKey && that.sendExposePvuv({
                    pvuvKeyId: pvuvKey
                })
                if (rewardData.rewardConfigId === 81) {
                    location.href = ApiHelper.getActUrl() + '/nospell?channel=100913&couponId=' + rewardData.relatedId
                } else {
                    location.href = '/wx/groupBuy/couponList.html?channel='
                }
            }

            function addDia() {
                $(homeMyDia).appendTo($('body'))
                if (cacheKey === 'luckybag_dia_3') {
                    $('#homeMyDia .btn-baom').removeClass('heart-beat')
                    var cpImgs = {
                        81: 'cp-mp.png',
                        82: 'cp-0.png',
                        83: 'cp-8.png'
                    }
                    var cpImg = cpImgs[rewardData.rewardConfigId]
                    let pvuvKeys = {
                        81: 971,
                        82: 973,
                        83: 975
                    }
                    let pvuvKey = pvuvKeys[rewardData.rewardConfigId]
                    pvuvKey && that.sendExposePvuv({
                        pvuvKeyId: pvuvKey
                    })
                    cpImg && $('#homeMyDia .coupon-img').show()
                    cpImg && $('#homeMyDia .coupon-img').attr('src', that.data.imgPath + cpImg + '?v=' + window.jspVersionMoreChange)
                } else {
                    that.sendExposePvuv({
                        channel: channel
                    })
                }
                ApiHelper.setCookie(cacheKey, 1, 15)
                $('#homeMyDia').addClass(cacheKey)
                $('#homeMyDia .btn-baom').attr('src', that.data.imgPath + btmImg + '?v=' + window.jspVersionMoreChange)
                $('#homeMyDia .yid-cls').attr('src', that.data.imgPath + closeImg + '?v=' + window.jspVersionMoreChange)

                $('#homeMyDia').addClass(cacheKey)
                $('#homeMyDia .yid-con-body').css({
                    backgroundImage: 'url("' + that.data.imgPath + backImg + '?v=' + window.jspVersionMoreChange + '")'
                })

                // 前往
                $('#homeMyDia .btn-baom-con').click(function () {
                    $('#homeMyDia').hide()
                    if (cacheKey === 'luckybag_dia_3') {
                        _couponClick()
                        return
                    }
                    that.sendExposePvuv({
                        pvuvKeyId: 946,
                        channel: channel
                    }, function () {
                        location.href = ApiHelper.getActUrl() + '/luckybag_main?channel=' + channel
                    })
                })
                // 关闭
                $('#homeMyDia .yid-cls-con').click(function () {
                    $('#posterDia').hide()
                    $('#homeMyDia').hide()
                })
                $('#homeMyDia').css({
                    display: 'flex'
                })
            }

            // 优惠券弹窗
            if (isShowDia) {
                addDia()
                return isShowDia
            }

            if (noDia || that.actData.status !== 1) {
                return false
            }
            var dia1 = ApiHelper.getCookie(cacheKey)
            var pvuvKeyIds = {}
            isShowDia = !dia1
            var diaIdx = 0
            var btmImg = 'btn_baom.png'
            // 第一个弹窗弹过
            if (dia1) {
                channel = 100830
                cacheKey = 'luckybag_dia_1'
                var dia2 = ApiHelper.getCookie(cacheKey)
                isShowDia = !dia2
                backImg = that.actData.ver === 1 ? 'dia_back_1_1.png' : 'dia_back_1.png'
            }
            // 无弹窗直接返回
            if (!isShowDia) {
                return isShowDia
            }
            that.setStorageSync(noDiaKey, {
                day: nowDate.getDate()
            })
            addDia()
            return isShowDia
        },
        _initMoreCourse: function () {
            var that = this
            if (that.actData.status === 0) {
                return false
            }
            return that.showHomeDia()
        },
        //倒计时
        doubleEvelenTimeDown: function (cutDownTime) {
            var oneDay = 24 * 60 * 60 * 1000
            var that = this
            var courseTime = setInterval(function () {
                cutDownTime -= 10
                if (cutDownTime > oneDay) {
                    var hh = Math.floor(cutDownTime / 1000 / 60 / 60 % 24)
                    var dd = Math.floor(cutDownTime / 1000 / 60 / 60 / 24)
                    dd = dd > 99 ? 99 : dd
                    var mm = parseInt(cutDownTime / 1000 / 60 % 60)
                    var ss = parseInt(cutDownTime / 1000 % 60)
                    var ms = parseInt(cutDownTime / 100 % 10)
                    hh = (hh >= 0 && hh < 10) ? ("0" + hh) : hh   //时
                    mm = (mm >= 0 && mm < 10) ? ("0" + mm) : mm   //分
                    ss = (ss >= 0 && ss < 10) ? ("0" + ss) : ss   //秒
                    ms = (ms >= 0 && ms < 10) ? ("0" + ms) : ms   //秒
                    $('.countDownNum11').html('<span class="days">' + dd + '天' + '<span class="hours">' + hh + '</span><span class="time_sign">:</span><span class="hours">' + mm + '</span><span class="time_sign">:</span><span class="hours">' + ss + '</span><span class="time_sign">:</span><span class="hours">' + ms + '</span>')
                } else {
                    var hh = Math.floor(cutDownTime / 1000 / 60 / 60)
                    var mm = parseInt(cutDownTime / 1000 / 60 % 60)
                    var ss = parseInt(cutDownTime / 1000 % 60)
                    var ms = parseInt(cutDownTime / 100 % 10)
                    if (hh < 0 || mm < 0 || ss < 0 || ms < 0) {
                        hh = 0
                        mm = 0
                        ss = 0
                        ms = 0
                        clearInterval(courseTime)
                    }
                    hh = (hh >= 0 && hh < 10) ? ("0" + hh) : hh   //时
                    mm = (mm >= 0 && mm < 10) ? ("0" + mm) : mm   //分
                    ss = (ss >= 0 && ss < 10) ? ("0" + ss) : ss   //秒
                    ms = (ms >= 0 && ms < 10) ? ("0" + ms) : ms   //秒
                    $('.coupon_time_h').text(hh)
                    $('.coupon_time_m').text(mm)
                    $('.coupon_time_s').text(ss)
                    $('.coupon_time_ms').text(ms)
                }
                clearInterval(courseTime)
                that.doubleEvelenTimeDown(cutDownTime)
            }, 10)
        }
    }
</script>

<style scoped lang="less">
    .flex-row {
        display: -moz-box;
        /* 老版本语法: Firefox (buggy) */
        display: -ms-flexbox;
        /* 混合版本语法: IE 10 */
        display: -webkit-flex;
        /* 新版本语法: Chrome 21+ */
        display: flex;
    }

    @cl-mask: rgba(0, 0, 0, 0.85);
    /**弹窗**/
    .yidialog-con {
        position: fixed;
        width: 100%;
        height: 100%;
        top: 0px;
        left: 0px;
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 1000;

        .yid-back {
            position: absolute;
            left: 0px;
            top: 0px;
            width: 100%;
            height: 100%;
            text-align: center;
            background: @cl-mask;
        }

        .yid-con {
            position: relative;
            display: flex;
            justify-content: center;
            align-content: center;
            color: #ffffff;
            flex-wrap: wrap;

            .yid-cls {
                position: relative;
                z-index: 9999;
                width: 0.51rem;
                height: 0.51rem;
                flex-shrink: 0;
            }

            .yid-hand {
                position: absolute;
                width: 1rem;
                top: 3.1rem;
                right: 0.1rem;
                animation: handClick 1s infinite;
            }
        }

        .yid-con-col {
            flex-direction: column;
        }
    }

    /**首页活动横栏**/
    .morecourse_banner {
        position: relative;
        height: 169px;
        background-position: 8px center;
        background-size: 690px 100%;
        background-repeat: no-repeat;

        .count-time {
            position: absolute;
            top: 40px;
            right: 56px;
            font-size: 28px;
            color: #4c4c4c;

            .f6201 {
                font-size: 24px;
                color: #ff6201;
            }
        }

        .remain {
            width: 100%;
            left: 0;
            position: absolute;
            justify-content: center;
            align-items: center;
            top: 156px;
            display: none;
            font-size: 28px;
            color: #ffffff;

            .l {
                margin-left: 77px;
            }

            .icon {
                width: 60px;
                margin-left: -10px;
                margin-bottom: -8px;
            }

            .r {
                margin-left: -18px;
            }
        }

        .btn {
            width: 128px;
            height: 130px;
            position: absolute;
            top: 37px;
            left: 560px;
        }
    }

    /**我的课icon**/
    .icon-list-luckybag {
        position: fixed;
        width: 140px;
        height: 140px;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        opacity: 0.9;
        right: 0;
        bottom: 240px;
        z-index: 66;
        color: #ffffff;
        display: none;

        .icon {
            width: 100%;
            height: 100%;
        }
    }

    /**优惠券**/
    .coupon-send-con {
        box-shadow: 2px 0px 23px 8px rgba(0, 0, 0, 0.08);
        margin-bottom: 40px;
        background-repeat: no-repeat;
        background-position: center top;
        background-size: 100% auto;
        width: 698px;
        height: 258px;

        .cps-top {
            height: 178px;
            text-shadow: 4px 4px 0px rgba(171, 76, 242, 0.43);
            color: #ffffff;

            .zeng-btn {
                width: 0;
                height: 0;
                margin-top: 60px;
                margin-left: 81px;
            }

            .tp-right {
                flex-direction: column;
                margin-left: 260px;
            }

            .title {
                font-size: 40px;
                line-height: 85px;
                font-weight: bold;
                margin-top: 15px;
            }

            .desc {
                font-size: 28px;
            }
        }

        .btm {
            padding: 0 20px;
            align-items: center;
            height: 80px;

            .time {
                font-size: 22px;
                line-height: 78px;
                color: #808080;
            }

            .mark {
                margin-left: 40px;
                line-height: 78px;
                font-size: 24px;
                color: #01a2ff;
                text-decoration: underline;
                flex-grow: 1;
            }

            .go-use {
                color: #fff;
                width: 140px;
                height: 50px;
                font-size: 30px;
                line-height: 50px;
                text-align: center;
                border-radius: 30px;
                background-color: #ff6701;
                text-shadow: 4px 4px 8px #ff3d01;
            }
        }
    }

    /**首页弹窗**/
    .home_dia, .buy1send1_dia {
        display: none;

        .yid-con-body {
            width: 668px;
            height: 860px;
            background-position: center center;
            background-size: 100% 100%;
            background-repeat: no-repeat;
            justify-content: center;
            flex-wrap: wrap;

            .kj-djs {
                display: none;
                font-size: 31px;
                font-weight: normal;
                font-stretch: normal;
                letter-spacing: 0px;
                color: #ffffff;
                flex-grow: 1;
                flex-basis: 80%;
                text-align: center;

                .f6201 {
                    background-color: #ffe04b;
                    border-radius: 10px;
                    color: #8555fe;
                    padding: 0 5px;
                    margin: 0 5px;
                }
            }

            .btn-baom {
                margin-top: 701px;
                width: 420px;
                height: 113px;
            }
        }

        .yid-cls-con {
            position: absolute;
            top: 0;
            right: 38px;
            z-index: 2;
            align-self: center;
        }
    }

    .luckybag_dia_2 {
        .yid-con-body {
            width: 686px;
            height: 800px;
        }
    }

    .luckybag_dia_3 {
        .yid-con-body {
            width: 520px;
            height: 669px;
            position: relative;

            .coupon-img {
                position: absolute;
                width: 460px;
                height: 318px;
                top: 205px;
                left: 30px;
            }

            .btn-baom-con {
                width: 280px;
                height: 61px;

                .btn-baom {
                    margin-top: 562px;
                    width: 280px;
                    height: 61px;
                }
            }
        }

        .yid-cls-con {
            margin-top: -70px;
        }
    }

    /**课程目录页**/
    .section-desc {
        align-items: center;
        height: 61px;
        position: relative;
        margin-top: -2px;

        .cls {
            margin-left: 14px;
            width: 35px;
            height: 35px;
            z-index: 2;
        }

        .desc-back {
            position: absolute;
            width: 100%;
            height: 100%;
            left: 0;
            top: 0;
            background-position: center center;
            background-size: 100% 100%;
            background-repeat: no-repeat;
        }

        .btn {
            position: absolute;
            top: 4px;
            right: 27px;
            width: 154px;
            height: 57px;
        }
    }

    /**赠课按钮**/
    .section-buy1s1 {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        position: fixed;
        bottom: 30px;
        left: 125px;
        color: #ffffff;
        width: 501px;
        height: 89px;
        background-image: linear-gradient(180deg, #ff197d 0%, #ff1929 100%);
        border-radius: 44px;

        .title {
            font-size: 36px;
            line-height: 32px;
        }

        .desc {
            font-size: 22px;
            margin-top: 10px;
        }
    }

    /**邀请页**/
    .invite-icon, .detail-icon {
        position: absolute;
        right: 0;
        top: 22px;
        width: 182px;
        height: 89px;
        color: #ffffff;
        flex-direction: column;
        justify-content: center;
        font-size: 28px;
    }

    /**详情页**/

    .detail-icon-up-arrows {
        position: fixed;
        right: 10px;
        top: 63%;
        z-index: 99;
        display: none;
    }

    .detail-image {
        width: 123px;
        height: 120px;
    }

    .elevenPriceIcon {
        margin-top: 5px;
    }

    .my-hand-ani {
        animation: myHandAni 1s infinite;
    }

    @keyframes myHandAni {
        50% {
            left: 80px;
        }
        0%, 100% {
            left: 50px;
        }
    }

    @keyframes iconClick {
        0%, 100% {
            margin-bottotm: 0;
        }
        50% {
            margin-bottom: -35px;
            transform: scale(1.1);
        }
    }

    @keyframes handClick {
        from {
            margin-top: 0rem;
            margin-right: 0rem;
        }
        50% {
            margin-top: -0.1rem;
            margin-right: 0.1rem;
            transform: scale(0.9);
        }
        to {
            margin-top: -0rem;
            margin-right: 0rem;
        }
    }

    .scale-size {
        animation: scaleSize 2s infinite;
    }

    @keyframes scaleSize {
        from {
            transform: scale(0.9);
            opacity: 0.9;
        }
        50% {
            transform: scale(1.2);
            opacity: 1;
        }
        to {
            transform: scale(0.9);
            opacity: 0.9;
        }
    }

    .heart-beat {
        animation: heartBeat 1s infinite;
    }

    @keyframes heartBeat {
        0% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }

        14% {
            -webkit-transform: scale(.8);
            transform: scale(.8);
        }

        28% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }

        42% {
            -webkit-transform: scale(.8);
            transform: scale(.8);
        }

        70% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }
    }

    /**淡入*/
    .fade-in {
        animation: fadeIn 1s;
    }

    @keyframes fadeIn {
        from {
            opacity: 0;
        }
        to {
            opacity: 1;
        }
    }
</style>
